#!/usr/bin/env node
/**
 * @ClassName download
 * @Description TODO
 * @Author wangtx@xiaoshouyi.com
 * @Date 2019/4/10 18:38
 **/
const logger = require('../../core/xsyLog').logger('module_model_jar_download');
const xsyRequest = require('../../core/xsyRequest');
const commonUtils = require('../../utils/commonUtils');
const fs = require("fs");
const path = require("path");
const colors = require('colors');
const request = require('request');

function main() {
    commonUtils.get_project_path(process.cwd(), function (projectPath) {
        xsyRequest({
            url: '/rest/metadata/v2.0/scripts/packages/model/jar/url',
            method: 'GET'
        }, function (error, response, body) {
            if (body.code === "200") {
                let modelStream = fs.createWriteStream(path.join(projectPath, "lib", "model.jar"));
                request(body.data.records).pipe(modelStream).on('close', function () {
                    console.log("Success".green)
                });
            } else {
                console.log(JSON.stringify(body).red);
                process.exit(1);
            }
        });
    });
}

exports.main = main;
